import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { DashboardComponent } from './dashboard/dashboard.component';
import { OauthGuard } from '../seguranca/oauth.guard';

const routes: Routes = [
  { path: '', component: DashboardComponent, canActivate: [OauthGuard], data: { roles: ['ROLE_ADMINISTRADOR','ROLE_PESSOA'] } },
   
 ];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class DashboardRoutingModule { }
