import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CadastrarGameNivelComponent } from './cadastrar-game-nivel/cadastrar-game-nivel.component';
import { DetalharGameNivelComponent } from './detalhar-game-nivel/detalhar-game-nivel.component';
import { ListarGameNivelComponent } from './listar-game-nivel/listar-game-nivel.component';
import { FormsModule } from '@angular/forms';
import { GameNivelRoutingModule } from './game-nivel-routing.module';
import { TableModule } from 'primeng/table';
import { InputSwitchModule } from 'primeng/inputswitch';
import { InputTextareaModule } from 'primeng/inputtextarea';
import { InputTextModule } from 'primeng/inputtext';
import { TabViewModule } from 'primeng/tabview';
import { PanelModule } from 'primeng/panel';
import { InputMaskModule } from 'primeng/inputmask';
import { ButtonModule } from 'primeng/button';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { KeyFilterModule, FieldsetModule, AutoCompleteModule, DropdownModule } from 'primeng/primeng';

@NgModule({
  declarations: [
    CadastrarGameNivelComponent, 
    DetalharGameNivelComponent, 
    ListarGameNivelComponent],
  imports: [
    CommonModule,
    GameNivelRoutingModule,
    FormsModule,
    TableModule,
    InputSwitchModule, 
    InputTextareaModule,
    InputTextModule,
    TabViewModule,
    InputMaskModule,
    PanelModule,
    ButtonModule,
    ConfirmDialogModule,
    KeyFilterModule,
    FieldsetModule,
    AutoCompleteModule,
    DropdownModule
  ]
})


export class GameNivelModule { }
