import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'status'
})
export class StatusPipe implements PipeTransform {

  transform(value: any, args?: any): any {
    switch (value) {
      case 'PUBLICO':
        return 'Público';
      case 'PRIVADO':
        return 'Privado';
      case 'ATIVO':
        return 'Ativo';
      case 'INATIVO':
        return 'Inativo';
      case 'HABILITADO':
        return 'Habilitado';
      case 'INABILITADO':
        return 'Inabilitado';
      default:
        return null;
    }
  }

}
