import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CadastroContentComponent } from './cadastro-content/cadastro-content.component';
import {ContentRoutingModule} from './content-routing.module';
import { ListagenContentComponent } from './listagen-content/listagen-content.component';
import { DetalhesContentComponent } from './detalhes-content/detalhes-content.component';
import { FormsModule } from '@angular/forms';
import {EditorModule} from 'primeng/editor';
import { TableModule } from 'primeng/table';
import { TabViewModule } from 'primeng/tabview';
import { DropdownModule } from 'primeng/primeng';
import {PanelModule} from 'primeng/panel';
import { ConfirmDialogModule } from 'primeng/primeng';
import {FieldsetModule} from 'primeng/primeng';
import {AutoCompleteModule} from 'primeng/autocomplete';
@NgModule({
  declarations: [CadastroContentComponent, ListagenContentComponent, DetalhesContentComponent],
  imports: [
    CommonModule,
    ContentRoutingModule,
    FormsModule,
    EditorModule,
    DropdownModule,
    AutoCompleteModule,
    PanelModule,
    TableModule,
    ConfirmDialogModule,
    TabViewModule,
    FieldsetModule
  ]
})
export class ContentModule { }
