import { Disciplina } from '../school/disciplina/disciplina';

export class Game {
    /* Essa classe é a classe que será 
    gerada pelo cadastro, salva pelo 
    cadastro, listada pela listagem 
    e detalhada pelo detalhe.

    Notas:

        As variáveis aqui devem 
        possuir o mesmo nome das
        variáveis da api, caso 
        contrário, no momento de 
        envio do Json, um erro
        será retornado, impedindo 
        a construção do objeto na 
        ap.

        No momento de salvação dessa classe na api,
        o Json gerado e enviado pelo service, será 
        o parâmetro do contrutor de uma classe Java.
        
        Essa classe será o parâmetro para o contrutor
        da clsse java. Por isso, nome errados, são 
        como parâmetros errados.

    */

    /*Variáveis - decaradas como
                nome: tipo;
    */

    /*private Long id;*/
    id: number;

    /*private String nome;*/
    nome: string;

    /*private int prev_dias;*/
    prev_dias: number;

    /*private int qtd_Niveis;*/
    qtd_Niveis: number;

    /*private Type_Nivel nivel;
    Apesar de ser um enumerável, 
    no fim das contas, será uma 
    string passada por parâmetro 
    para o contrutor. 
    @Enumerated(EnumType.STRING)*/
    nivel: string;

    /*private Type_Game tipo;
     Apesar de ser um enumerável, 
    no fim das contas, será uma 
    string passada por parâmetro 
    para o contrutor. 
    @Enumerated(EnumType.STRING)*/
    tipo: string;

    /*private String descricao;
    Para facilitar utilizei uma 
    string simples, cujo tamanho 
    permanece entre 1 - 255 
    caracteres.*/
    descricao: string

    /*private Disciplina disciplina;
    Essa variável será importada do 
    service do módulo de disciplina.*/
    disciplina: Disciplina;
}
