import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CadastroAbertaComponent } from './cadastro-aberta/cadastro-aberta.component';
import { ConfirmDialogModule } from 'primeng/confirmdialog';
import { ListagemAbertaComponent } from './listagem-aberta/listagem-aberta.component';
import { DetalhesAbertaComponent } from './detalhes-aberta/detalhes-aberta.component';
import { AbertaRoutingModule } from './aberta-routing.module';
import { AutoCompleteModule, BlockUIModule, ButtonModule, CalendarModule, DialogModule, DropdownModule, FieldsetModule, InputMaskModule, FileUploadModule, InputSwitchModule, InputTextareaModule, InputTextModule, KeyFilterModule, PasswordModule, ProgressSpinnerModule, RadioButtonModule, SelectButtonModule, SpinnerModule, StepsModule, TabViewModule, TooltipModule } from 'primeng/primeng';
import { TableModule } from 'primeng/table';
import { ToastModule } from 'primeng/toast';
import { GlobalPipesModule } from 'src/app/global-pipes/global-pipes.module';

@NgModule({
  declarations: [CadastroAbertaComponent, ListagemAbertaComponent, DetalhesAbertaComponent],
  imports: [
    CommonModule,
    AbertaRoutingModule,

    AutoCompleteModule,
    BlockUIModule,
    ButtonModule,
    CalendarModule,
    ConfirmDialogModule,
    DialogModule,
    DropdownModule,
    FieldsetModule,
    FileUploadModule,
    InputMaskModule,
    InputSwitchModule,
    InputTextareaModule,
    InputTextModule,
    KeyFilterModule,
    PasswordModule,
    ProgressSpinnerModule,
    RadioButtonModule,
    SelectButtonModule,
    SpinnerModule,
    StepsModule,
    TableModule,
    TabViewModule,
    ToastModule,
    TooltipModule,

    GlobalPipesModule
  ]
})
export class AbertaModule { }
