package com.alessiojr.account.repository;

import com.alessiojr.account.model.Conta;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

public interface ContaRepository extends JpaRepository<Conta, Long> {
    
    @Query("SELECT c FROM Conta c WHERE c.usuario.idUsuario = :idUsuario")
    public Optional<Conta> findByIdUsuario(Long idUsuario);
    
}
