package com.alessiojr.apertium.repository;

import com.alessiojr.apertium.model.MyDictionary;
import com.alessiojr.apertium.model.ParDef;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author vinicius
 */
@Transactional
public interface ParDefRepository<T extends ParDef> extends JpaRepository<ParDef, Long> {

    public List<T> findAllByMyDictionary(MyDictionary myDictionary);

    public void deleteAllByMyDictionary(MyDictionary myDictionary);
}
