package com.alessiojr.freeTests.serializer;

import com.alessiojr.freeTests.model.PessoaTeste;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;
import java.io.IOException;

public class PessoaTesteSerializer extends StdSerializer<PessoaTeste> {

    private static final long serialVersionUID = 1L;

    public PessoaTesteSerializer() {
        this(null);
    }

    public PessoaTesteSerializer(Class<PessoaTeste> p) {
        super(p);
    }

    @Override
    public void serialize(PessoaTeste p, JsonGenerator jg, SerializerProvider sp) throws IOException {
        jg.writeStartObject();
        jg.writeNumberField("id", p.getId());
        jg.writeObjectField("nome", p.getNome());
        jg.writeEndObject();
    }

}
