package com.alessiojr.ipc.competicao.repository;

// ################ MODELO NOVO ##########################


import com.alessiojr.ipc.competicao.model.Competicao;
import java.util.Optional;

import com.alessiojr.ipc.competicao.model.Competicao;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import org.springframework.data.jpa.repository.JpaRepository;

import org.springframework.data.jpa.repository.Query;


//public interface CompeticaoRepository extends JpaRepository<Competicao, Long> {
public interface CompeticaoRepository<T extends Competicao> extends JpaRepository<Competicao, Long>{

    public Optional<Competicao> findByNameAndCid(String name, Long cid);

    public Optional<Competicao> findByCid(Long cid);

    public void deleteByCid(Long cid);

    public Page<Competicao>findAll(Pageable pageable);
    
    
//    @Query("SELECT a FROM Competicao a WHERE "
//            + "a.name LIKE CONCAT('%', :nome, '%') "
//          )
    public Page<T> findByNameContaining(String name, Pageable pageable);

        
    
}




// ####################### MODELO ANTIGO ########################

//package com.alessiojr.drDebug.repository;


//import com.alessiojr.ipc.competicao.model.Competicao;
//import java.util.Optional;
//
//import com.alessiojr.ipc.competicao.model.Competicao;
//import org.springframework.data.domain.Page;
//import org.springframework.data.domain.Pageable;
//
//import org.springframework.data.jpa.repository.JpaRepository;
//
//public interface CompeticaoRepository extends JpaRepository<Competicao, Long> {
//
//    public Optional<Competicao> findByNameAndCid(String name, Long cid);
//
//    public Optional<Competicao> findByCid(Long cid);
//
//    public void deleteByCid(Long cid);
//
//    public Page<Competicao>findAll(Pageable pageable);
//    
//}
