package com.alessiojr.ipc.competicao.serializer;

import com.alessiojr.ipc.competicao.model.Competicao;

import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.SerializerProvider;
import com.fasterxml.jackson.databind.ser.std.StdSerializer;
import java.io.IOException;

public class CompeticaoSerializer extends StdSerializer<Competicao> {

    private static final long serialVersionUID = 1L;

    public CompeticaoSerializer() {
        this(null);
    }

    public CompeticaoSerializer(Class<Competicao> p) {
        super(p);
    }

    @Override
    public void serialize(Competicao p, JsonGenerator jg, SerializerProvider sp) throws IOException {
        jg.writeStartObject();
        jg.writeNumberField("id", p.getCid());
        jg.writeObjectField("nome", p.getName());
        jg.writeEndObject();
    }

}
