package com.alessiojr.ipc.problemManager.repository;

import com.alessiojr.ipc.problemManager.model.CasosTeste;
import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

public interface CasosTesteRepository<T extends CasosTeste> extends JpaRepository<CasosTeste, Long>{
    
   public Optional<CasosTeste> findById(Long Id);
    public Optional<CasosTeste> findByNomeAndDescricao(String nome, String descricao);
    
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
   
}
