package com.alessiojr.ipc.question.repository;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import com.alessiojr.ipc.question.model.MultiplaEscolha;
import java.util.List;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface MultiplaEscolhaRepository<T extends MultiplaEscolha>extends JpaRepository<MultiplaEscolha, Long>{
    
   public Optional<MultiplaEscolha> findByEnunciado(String enunciado);
   public Page<MultiplaEscolha> findAll(Pageable pageable);
    
  
//     @Query("SELECT a FROM MultiplaEscolha a WHERE "
//            + "a.enunciado LIKE CONCAT('%', :enunciado, '%') AND "
//            + "a.status != 'INATIVO'")
// 
   public Page<T> findByEnunciadoContaining(String enunciado, Pageable pageable);
}
