package com.alessiojr.ipc.school.repository;

import com.alessiojr.ipc.school.model.Universidade;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;

public interface UniversidadeRepository extends JpaRepository<Universidade,Long>{
    public Optional<Universidade> findByNome(String nome);
    public Optional<Universidade> findByNomeAndNumeroCursos(String nome,long numeroCursos);
}
