package com.alessiojr.ipc.submission.util.submissionEngine;

import net.sourceforge.plantuml.SourceStringReader;

import java.io.FileOutputStream;
import java.io.OutputStream;

public abstract class PlantUMLDiagram {
    private String plantUML;

    public void generateFile(String fileName) {
        OutputStream png;
        try {
            png = new FileOutputStream(fileName + ".png");
            final SourceStringReader reader = new SourceStringReader(this.plantUML);
            reader.generateImage(png);
        } catch (final Exception e) {
            // TODO: pode gerar erro por não ter instalado o GraphViz
            e.printStackTrace();
        }
    }

    protected void setPlantUML(String plantUML) {
        this.plantUML = plantUML;
    }

    public String getPlantUML() {
        return this.plantUML;
    }

}