package com.alessiojr.laboratory.repository;
import java.util.Date;

import java.util.Optional;

import com.alessiojr.laboratory.model.Professor;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


public interface ProfessorRepository<T extends Professor> extends JpaRepository<Professor, Long>{
    
    //public Optional<Professor> findById(Long Id);
    public Optional<Professor> findByNomeAndEscola(String nome, String Escola);
    
        @Query("SELECT a FROM Professor a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
    
    
}
