package com.alessiojr.security;

import com.alessiojr.security.model.Usuario;
import java.util.Collection;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.User;

public class UsuarioSistema extends User {

    private static final long serialVersionUID = 1L;

    private final Usuario usuario;

    public UsuarioSistema(Usuario usuario, Collection<? extends GrantedAuthority> authorities) {
        super(usuario.getLogin(), "{bcrypt}"+usuario.getSenha(), authorities); // {bcrypt} refere-se ao id do metodo utilizado na criptografia
        this.usuario = usuario;
    }

    public Usuario getUsuario() {
        return usuario;
    }

}
