-- phpMyAdmin SQL Dump
-- version 4.6.6deb5
-- https://www.phpmyadmin.net/
--
-- Host: localhost
-- Tempo de geração: 07/06/2019 às 15:36
-- Versão do servidor: 5.7.26-0ubuntu0.19.04.1
-- Versão do PHP: 7.2.19-0ubuntu0.19.04.1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Banco de dados: `alessio_aulaDisciplina`
--

-- --------------------------------------------------------

--
-- Estrutura para tabela `Conta`
--

CREATE TABLE `Conta` (
  `idConta` bigint(20) NOT NULL,
  `create_date` datetime DEFAULT NULL,
  `update_date` datetime DEFAULT NULL,
  `saldo` decimal(19,2) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `Conta`
--

INSERT INTO `Conta` (`idConta`, `create_date`, `update_date`, `saldo`) VALUES
(1, '2019-05-13 00:00:00', '2019-05-13 00:00:00', '0.00'),
(2, '2019-05-13 00:00:00', '2019-05-13 00:00:00', '0.00');

-- --------------------------------------------------------

--
-- Estrutura para tabela `Endereco`
--

CREATE TABLE `Endereco` (
  `idEndereco` bigint(20) NOT NULL,
  `bairro` varchar(255) DEFAULT NULL,
  `cep` varchar(255) DEFAULT NULL,
  `complemento` varchar(255) DEFAULT NULL,
  `latitude` double NOT NULL,
  `logradouro` varchar(255) DEFAULT NULL,
  `longitude` double NOT NULL,
  `numero` bigint(20) DEFAULT NULL,
  `observacao` varchar(255) DEFAULT NULL,
  `cidade_idCidade` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `Endereco`
--

INSERT INTO `Endereco` (`idEndereco`, `bairro`, `cep`, `complemento`, `latitude`, `logradouro`, `longitude`, `numero`, `observacao`, `cidade_idCidade`) VALUES
(1, 'Professores', '35170-012', NULL, -19.5251252, 'Rua Doze de Outubro', -42.62291909999999, 322, NULL, 1);

-- --------------------------------------------------------

--
-- Estrutura para tabela `Estado`
--

CREATE TABLE `Estado` (
  `idEstado` bigint(20) NOT NULL,
  `data` date DEFAULT NULL,
  `nome` varchar(128) NOT NULL,
  `regiao` varchar(255) DEFAULT NULL,
  `uf` varchar(2) NOT NULL,
  `status` varchar(128) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `Estado`
--

INSERT INTO `Estado` (`idEstado`, `data`, `nome`, `regiao`, `uf`, `status`) VALUES
(1, NULL, 'Minas Gerais', NULL, 'MG', 'ATIVO');

-- --------------------------------------------------------

--
-- Estrutura da tabela `Cidade`
--

CREATE TABLE `Cidade` (
  `idCidade` bigint(20) NOT NULL,
  `nome` varchar(128) NOT NULL,
  `estado_idEstado` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Extraindo dados da tabela `Cidade`
--

INSERT INTO `Cidade` (`idCidade`, `nome`, `estado_idEstado`) VALUES
(1, 'Coronel Fabriciano', 1);

-- --------------------------------------------------------

--
-- Estrutura para tabela `GameNivel`
--

CREATE TABLE `GameNivel` (
  `id` bigint(20) NOT NULL,
  `acao` varchar(255) DEFAULT NULL,
  `descricao` varchar(255) DEFAULT NULL,
  `exp` bigint(20) NOT NULL,
  `icone` varchar(255) DEFAULT NULL,
  `nome` varchar(128) DEFAULT NULL,
  `status` varchar(255) NOT NULL,
  `tempo` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `GameNivel`
--

INSERT INTO `GameNivel` (`id`, `acao`, `descricao`, `exp`, `icone`, `nome`, `status`, `tempo`) VALUES
(1, '6565s4df5654sdf', 's65d4fsd654', 65464564, 's6d5f4sd65f4', 'sd65f4d6s5f4', 'ATIVO', '1970-01-08 13:47:45'),
(2, '564sdf54ds56f4', '6sd5f4s6d5f4', 455454, '56sd4f65sd4f', '54sdf4sdf', 'ATIVO', '1970-01-08 13:50:55');

-- --------------------------------------------------------

--
-- Estrutura para tabela `Permissao`
--

CREATE TABLE `Permissao` (
  `idPermissao` bigint(20) NOT NULL,
  `permissao` varchar(64) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `Permissao`
--

INSERT INTO `Permissao` (`idPermissao`, `permissao`) VALUES
(1, 'ROLE_ADMINISTRADOR'),
(4, 'ROLE_PESSOA'),
(2, 'ROLE_USUARIO');

-- --------------------------------------------------------

--
-- Estrutura para tabela `Pessoa`
--

CREATE TABLE `Pessoa` (
  `cargo` varchar(255) DEFAULT NULL,
  `celular` varchar(255) DEFAULT NULL,
  `comoConheceu` varchar(255) DEFAULT NULL,
  `cpf` varchar(32) DEFAULT NULL,
  `dataNascimento` date DEFAULT NULL,
  `escolaridade` varchar(255) DEFAULT NULL,
  `estadoCivil` varchar(255) DEFAULT NULL,
  `genero` varchar(255) DEFAULT NULL,
  `profissao` varchar(255) DEFAULT NULL,
  `rg` varchar(255) DEFAULT NULL,
  `telefone` varchar(255) DEFAULT NULL,
  `urlFoto` varchar(255) DEFAULT NULL,
  `idUsuario` bigint(20) NOT NULL,
  `conta_idConta` bigint(20) NOT NULL,
  `endereco_idEndereco` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `Pessoa`
--

INSERT INTO `Pessoa` (`cargo`, `celular`, `comoConheceu`, `cpf`, `dataNascimento`, `escolaridade`, `estadoCivil`, `genero`, `profissao`, `rg`, `telefone`, `urlFoto`, `idUsuario`, `conta_idConta`, `endereco_idEndereco`) VALUES
('Professor', '(31) 99999-9999', 'INDICACAO', '926.219.210-00', '2019-06-07', 'Graduado', 'VIUVO', 'MASCULINO', 'Professor', '3232', '(31) 8888-8888', NULL, 1, 1, 1);

-- --------------------------------------------------------

--
-- Estrutura para tabela `PessoaTeste`
--

CREATE TABLE `PessoaTeste` (
  `id` bigint(20) NOT NULL,
  `cpf` varchar(255) DEFAULT NULL,
  `dtNascimento` date DEFAULT NULL,
  `estadoCivil` varchar(255) DEFAULT NULL,
  `nome` varchar(128) DEFAULT NULL,
  `status` varchar(255) NOT NULL,
  `mae_id` bigint(20) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `PessoaTeste`
--

INSERT INTO `PessoaTeste` (`id`, `cpf`, `dtNascimento`, `estadoCivil`, `nome`, `status`, `mae_id`) VALUES
(1, '002.057.910-18', '2019-01-01', 'SOLTEIRO', 'MARIO User 01', 'PUBLICO', 1),
(2, '791.988.580-92', '2018-04-05', 'SOLTEIRO', 'Joana User 02', 'PUBLICO', 1),
(3, '005.125.480-80', NULL,       'CASADO',   'Denio User 03', 'PUBLICO', NULL),
(4, '642.382.410-02', '2019-01-01', 'SOLTEIRO', 'MARIO User 04', 'PUBLICO', 2),
(5, '577.118.520-53', '2018-04-05', 'SOLTEIRO', 'Joana User 05', 'PUBLICO', 1),
(6, '743.605.740-53', NULL,       'CASADO',   'Denio User 06', 'PUBLICO', NULL),
(7, '492.261.870-88', '2019-01-01', 'SOLTEIRO', 'MARIO User 07', 'PUBLICO', 10),
(8, '027.798.690-70', '2018-04-05', 'SOLTEIRO', 'Joana User 08', 'PUBLICO', 1),
(9, '637.937.910-09', NULL,       'CASADO',   'Denio User 09', 'PUBLICO', NULL),
(10, '466.721.060-57', NULL,      'CASADO',   'Denio User 10', 'PUBLICO', 5),
(11, '269.593.270-75', NULL,      'CASADO', '  Denio User 11', 'PUBLICO', NULL);

-- --------------------------------------------------------

--
-- Estrutura para tabela `Submission`
--

CREATE TABLE `Submission` (
  `submitid` bigint(20) NOT NULL,
  `checkStyleEvaluation` longtext,
  `cid` bigint(20) NOT NULL,
  `entry_point` varchar(255) DEFAULT NULL,
  `executed` bit(1) NOT NULL,
  `executionResults` longtext,
  `expected_results` varchar(255) DEFAULT NULL,
  `externalid` varchar(255) DEFAULT NULL,
  `externalresult` varchar(255) DEFAULT NULL,
  `judged` bit(1) NOT NULL,
  `judgehost` varchar(255) DEFAULT NULL,
  `langid` varchar(255) NOT NULL,
  `origsubmitid` bigint(20) DEFAULT NULL,
  `plantuml_classdiagram` longtext,
  `plantuml_sequencediagram` longtext,
  `probid` bigint(20) NOT NULL,
  `rejudgingid` bigint(20) DEFAULT NULL,
  `submission_files_path` varchar(255) DEFAULT NULL,
  `submittime` double NOT NULL,
  `teamid` bigint(20) NOT NULL,
  `valid` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `Submission`
--

INSERT INTO `Submission` (`submitid`, `checkStyleEvaluation`, `cid`, `entry_point`, `executed`, `executionResults`, `expected_results`, `externalid`, `externalresult`, `judged`, `judgehost`, `langid`, `origsubmitid`, `plantuml_classdiagram`, `plantuml_sequencediagram`, `probid`, `rejudgingid`, `submission_files_path`, `submittime`, `teamid`, `valid`) VALUES
(4, NULL, 22, '9', b'1', NULL, '9', '9', '9', b'0', '9', '9', 99, '@startuml\nclass ConcreteSubject{\n}\n\ninterface Observer{\n}\n\nclass ConcreteObserver{\n}\n\ninterface Subject{\n}\n\nclass Main{\n}\n\nclass Optimist{\n}\n\nclass Pessimist{\n}\n\nclass TheEconomy{\n}\n\nclass ConcreteSubject{\n - subjectState : String\n + getState() : String \n + setState(status:String) : void \n + attach(obj:Observer) : void \n + detach(obj:Observer) : void \n + notifyObservers() : void \n + showState() : void \n}\n\ninterface Observer{\n + update() : void \n}\n\nclass ConcreteObserver{\n + ConcreteObserver(theSubject:ConcreteSubject)   \n + update() : void \n + showState() : void \n}\n\ninterface Subject{\n + attach(obj:Observer) : void \n + detach(obj:Observer) : void \n + notifyObservers() : void \n}\n\nclass Main{\n{static} + main(args:String[]) : void \n}\n\nclass Optimist{\n + Optimist(sub:ConcreteSubject)   \n + update() : void \n}\n\nclass Pessimist{\n + Pessimist(sub:ConcreteSubject)   \n + update() : void \n}\n\nclass TheEconomy{\n + TheEconomy()   \n}\n\nConcreteSubject ..|>Subject\nConcreteObserver ..|>Observer\nConcreteObserver<|--Optimist\nConcreteObserver<|--Pessimist\nConcreteSubject<|--TheEconomy\nConcreteSubject  \" \" --  \"*\"  Observer\nConcreteObserver  \" \" --  \" \"  ConcreteSubject\nConcreteSubject..>Observer\n\n@enduml', '@startuml\n@enduml', 9, NULL, './uploads/_submission_4', 9, 9, 1),
(5, NULL, 9, '9', b'1', NULL, '99', '99', '9', b'0', '9', '9', 9, '@startuml\nclass ConcreteSubject{\n}\n\ninterface Observer{\n}\n\nclass ConcreteObserver{\n}\n\ninterface Subject{\n}\n\nclass Main{\n}\n\nclass Optimist{\n}\n\nclass Pessimist{\n}\n\nclass TheEconomy{\n}\n\nclass ConcreteSubject{\n - subjectState : String\n + getState() : String \n + setState(status:String) : void \n + attach(obj:Observer) : void \n + detach(obj:Observer) : void \n + notifyObservers() : void \n + showState() : void \n}\n\ninterface Observer{\n + update() : void \n}\n\nclass ConcreteObserver{\n + ConcreteObserver(theSubject:ConcreteSubject)   \n + update() : void \n + showState() : void \n}\n\ninterface Subject{\n + attach(obj:Observer) : void \n + detach(obj:Observer) : void \n + notifyObservers() : void \n}\n\nclass Main{\n{static} + main(args:String[]) : void \n}\n\nclass Optimist{\n + Optimist(sub:ConcreteSubject)   \n + update() : void \n}\n\nclass Pessimist{\n + Pessimist(sub:ConcreteSubject)   \n + update() : void \n}\n\nclass TheEconomy{\n + TheEconomy()   \n}\n\nConcreteSubject ..|>Subject\nConcreteObserver ..|>Observer\nConcreteObserver<|--Optimist\nConcreteObserver<|--Pessimist\nConcreteSubject<|--TheEconomy\nConcreteSubject  \" \" --  \"*\"  Observer\nConcreteObserver  \" \" --  \" \"  ConcreteSubject\nConcreteSubject..>Observer\n\n@enduml', '@startuml\n@enduml', 9, 9, './uploads/_submission_5', 9, 9, 1);

-- --------------------------------------------------------

--
-- Estrutura para tabela `TipoTransacao`
--

CREATE TABLE `TipoTransacao` (
  `nome` varchar(64) NOT NULL,
  `create_date` datetime DEFAULT NULL,
  `update_date` datetime DEFAULT NULL,
  `tipo` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `TipoTransacao`
--

INSERT INTO `TipoTransacao` (`nome`, `create_date`, `update_date`, `tipo`) VALUES
('PAGAMENTO', '2019-05-11 00:00:00', '2019-05-11 00:00:00', 'DEBITO'),
('RECEBIMENTO', '2019-05-20 00:00:00', '2019-05-20 00:00:00', 'CREDITO');

-- --------------------------------------------------------

--
-- Estrutura para tabela `Transacao`
--

CREATE TABLE `Transacao` (
  `idTransacao` bigint(20) NOT NULL,
  `create_date` datetime DEFAULT NULL,
  `update_date` datetime DEFAULT NULL,
  `dataHora` datetime NOT NULL,
  `descricao` varchar(255) NOT NULL,
  `valor` decimal(19,2) NOT NULL,
  `conta_idConta` bigint(20) NOT NULL,
  `tipo_idTipoTransacao` varchar(64) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `Transacao`
--

INSERT INTO `Transacao` (`idTransacao`, `create_date`, `update_date`, `dataHora`, `descricao`, `valor`, `conta_idConta`, `tipo_idTipoTransacao`) VALUES
(1, '2019-05-20 00:00:00', '2019-05-20 00:00:00', '2019-05-20 00:00:00', 'Teste Credito', '100.00', 1, 'PAGAMENTO'),
(2, '2019-05-20 00:00:00', '2019-05-20 00:00:00', '2019-05-20 00:00:00', 'Teste Debito', '100.00', 1, 'RECEBIMENTO');

-- --------------------------------------------------------

--
-- Estrutura para tabela `Usuario`
--

CREATE TABLE `Usuario` (
  `idUsuario` bigint(20) NOT NULL,
  `create_date` datetime DEFAULT NULL,
  `update_date` datetime DEFAULT NULL,
  `email` varchar(128) NOT NULL,
  `login` varchar(64) NOT NULL,
  `nome` varchar(128) NOT NULL,
  `senha` varchar(255) NOT NULL,
  `status` varchar(255) NOT NULL,
  `urlFoto` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `Usuario`
--

INSERT INTO `Usuario` (`idUsuario`, `create_date`, `update_date`, `email`, `login`, `nome`, `senha`, `status`, `urlFoto`) VALUES
(1, '2019-05-11 00:00:00', '2019-05-11 00:00:00', 'alessio@cefetmg.br', 'admin', 'Administrador Teste', '$2a$10$xt9ABxFq5Ovab3EVoSWkEeHuskWiVcGHQn5XcaQc/4G2Q4xj8qg.6', 'ATIVO', NULL),
(2, '2019-05-20 15:41:26', '2019-05-20 15:41:26', 'alessio@timoteo.cefetmg.br', 'user', 'Usuário', '$2a$10$7zPLsXwsA7Rf/Grkga8fSun/iMPny56.cpd9eukaDM9mcVTBpPb5u', 'ATIVO', NULL);

-- --------------------------------------------------------

CREATE TABLE `Competicao` (
  `cid` bigint(20) NOT NULL,
  `active_time` datetime DEFAULT NULL,
  `deactive_time` datetime DEFAULT NULL,
  `end_time` datetime DEFAULT NULL,
  `freeze` datetime DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `short_name` varchar(64) DEFAULT NULL,
  `start_time` datetime DEFAULT NULL,
  `unfreeze` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Competicao`
--

INSERT INTO `Competicao` (`cid`, `active_time`, `deactive_time`, `end_time`, `freeze`, `name`, `short_name`, `start_time`, `unfreeze`) VALUES
(0, '2019-06-01 00:00:00', '2019-06-02 00:00:00', '2019-06-03 00:00:00', '2019-06-04 00:00:00', 'SBC - CONTEST', 'SBC', '2019-06-18 08:00:00', '2019-06-18 23:00:00'),
(1, '2019-06-01 00:00:00', '2019-06-02 00:00:00', '2019-06-03 00:00:00', '2019-06-04 00:00:00', 'SBC - CONTEST', 'SBC', '2019-06-18 08:00:00', '2019-06-18 23:00:00'),
(2, '2019-06-18 08:00:00', '2019-06-18 08:00:00', '2019-06-18 08:00:00', '2019-06-18 08:00:00', 'asdasdasd', 'asd', '2019-06-18 08:00:00', '2019-06-18 08:00:00');



--
-- Table structure for table `Problema`
--

CREATE TABLE `Problema` (
  `idProblema` bigint(20) NOT NULL,
  `autorTbIdAutor` bigint(20) NOT NULL,
  `cor` varchar(255) DEFAULT NULL,
  `descricao` varchar(255) DEFAULT NULL,
  `entrada` varchar(255) DEFAULT NULL,
  `enunciado` varchar(255) DEFAULT NULL,
  `idUri` bigint(20) NOT NULL,
  `isAberto` bit(1) NOT NULL,
  `linguaTbIdLingua` bigint(20) NOT NULL,
  `maratonaTbIdMaratona` bigint(20) NOT NULL,
  `memoriaLimite` double NOT NULL,
  `nivel` varchar(255) DEFAULT NULL,
  `nome` varchar(255) DEFAULT NULL,
  `pdf` varchar(255) DEFAULT NULL,
  `saida` varchar(255) DEFAULT NULL,
  `tematica` varchar(255) DEFAULT NULL,
  `tempoLimite` double NOT NULL,
  `versaoPai` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Problema`
--

INSERT INTO `Problema` (`idProblema`, `autorTbIdAutor`, `cor`, `descricao`, `entrada`, `enunciado`, `idUri`, `isAberto`, `linguaTbIdLingua`, `maratonaTbIdMaratona`, `memoriaLimite`, `nivel`, `nome`, `pdf`, `saida`, `tematica`, `tempoLimite`, `versaoPai`) VALUES
(1, 1, 'PRETO', 'asdadad', 'asdasdasd', 'asdasdasdasda', 1, b'1', 1, 1, 123.12, 'DIFICIL', 'Probrema', 'asdasdasda', 'asdasdas', 'BUSCA_GRAFO', 3213245.4, 1),
(0, 1, 'PRETO', 'asdadad', 'asdasdasd', 'asdasdasdasda', 1, b'1', 1, 1, 123.12, 'DIFICIL', 'Probrema', 'asdasdasda', 'asdasdas', 'BUSCA_GRAFO', 3213245.4, 1);



--
-- Table structure for table `Time`
--

CREATE TABLE `Time` (
  `id` bigint(20) NOT NULL,
  `categoria` varchar(255) DEFAULT NULL,
  `conquistas` int(11) NOT NULL,
  `Data` date DEFAULT NULL,
  `filiacao` varchar(255) DEFAULT NULL,
  `nome` varchar(128) DEFAULT NULL,
  `pais` varchar(128) DEFAULT NULL,
  `status` varchar(255) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Time`
--

INSERT INTO `Time` (`id`, `categoria`, `conquistas`, `Data`, `filiacao`, `nome`, `pais`, `status`) VALUES
(0, 'UNICA', 1, '2019-06-04', 'ANA_LETRO', 'TImeGrandão', 'Brasil', 'ATIVO'),
(1, 'UNICA', 1, '2019-06-04', 'ANA_LETRO', 'TImeGrandão', 'Brasil', 'ATIVO');




--
-- Estrutura para tabela `Usuario_has_Permissoes`
--

CREATE TABLE `Usuario_has_Permissoes` (
  `Usuario_idUsuario` bigint(20) NOT NULL,
  `Permissao_idPermissao` bigint(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Fazendo dump de dados para tabela `Usuario_has_Permissoes`
--

INSERT INTO `Usuario_has_Permissoes` (`Usuario_idUsuario`, `Permissao_idPermissao`) VALUES
(1, 1),
(2, 2);

--
-- Índices de tabelas apagadas
--

--
-- Índices de tabela `Conta`
--
ALTER TABLE `Conta`
  ADD PRIMARY KEY (`idConta`);

--
-- Índices de tabela `Endereco`
--
ALTER TABLE `Endereco`
  ADD PRIMARY KEY (`idEndereco`);

--
-- Índices de tabela `Estado`
--
ALTER TABLE `Estado`
  ADD PRIMARY KEY (`idEstado`),
  ADD UNIQUE KEY `UK_Estado_nome` (`nome`),
  ADD UNIQUE KEY `UK_Estado_uf` (`uf`);

--
-- Indexes for table `Cidade`
--
ALTER TABLE `Cidade`
  ADD PRIMARY KEY (`idCidade`),
  ADD UNIQUE KEY `UK_Cidade_nome` (`nome`),
  ADD KEY `FK_Cidade_estado` (`estado_idEstado`);

--
-- Índices de tabela `GameNivel`
--
ALTER TABLE `GameNivel`
  ADD PRIMARY KEY (`id`);

--
-- Índices de tabela `Permissao`
--
ALTER TABLE `Permissao`
  ADD PRIMARY KEY (`idPermissao`),
  ADD UNIQUE KEY `UK_Permissao_permissao` (`permissao`);

--
-- Índices de tabela `Pessoa`
--
ALTER TABLE `Pessoa`
  ADD PRIMARY KEY (`idUsuario`),
  ADD UNIQUE KEY `UK_Pessoa_cpf` (`cpf`),
  ADD KEY `FK_Usuario_conta` (`conta_idConta`),
  ADD KEY `FK_Pessoa_endereco` (`endereco_idEndereco`);

--
-- Índices de tabela `PessoaTeste`
--
ALTER TABLE `PessoaTeste`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `UK_Pessoa_cpf` (`cpf`),
  ADD KEY `FKa0d7yja75dj9dyx0plltjo9x6` (`mae_id`);

--
-- Índices de tabela `Submission`
--
ALTER TABLE `Submission`
  ADD PRIMARY KEY (`submitid`);

--
-- Índices de tabela `TipoTransacao`
--
ALTER TABLE `TipoTransacao`
  ADD PRIMARY KEY (`nome`);

--
-- Índices de tabela `Transacao`
--
ALTER TABLE `Transacao`
  ADD PRIMARY KEY (`idTransacao`),
  ADD KEY `FK_Transacao_conta` (`conta_idConta`),
  ADD KEY `FK_Transacao_tipo` (`tipo_idTipoTransacao`);

--
-- Índices de tabela `Usuario`
--
ALTER TABLE `Usuario`
  ADD PRIMARY KEY (`idUsuario`),
  ADD UNIQUE KEY `UK_Usuario_email` (`email`),
  ADD UNIQUE KEY `UK_Usuario_login` (`login`);

--
-- Índices de tabela `Usuario_has_Permissoes`
--
ALTER TABLE `Usuario_has_Permissoes`
  ADD PRIMARY KEY (`Usuario_idUsuario`,`Permissao_idPermissao`),
  ADD KEY `fk_Usuario_has_Permissoes_Permissao` (`Permissao_idPermissao`);

--
-- AUTO_INCREMENT de tabelas apagadas
--

--
-- AUTO_INCREMENT de tabela `Conta`
--
ALTER TABLE `Conta`
  MODIFY `idConta` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT de tabela `Endereco`
--
ALTER TABLE `Endereco`
  MODIFY `idEndereco` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT de tabela `Estado`
--
ALTER TABLE `Estado`
  MODIFY `idEstado` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT de tabela `GameNivel`
--
ALTER TABLE `GameNivel`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT for table `Cidade`
--
ALTER TABLE `Cidade`
  MODIFY `idCidade` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT de tabela `Permissao`
--
ALTER TABLE `Permissao`
  MODIFY `idPermissao` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT de tabela `PessoaTeste`
--
ALTER TABLE `PessoaTeste`
  MODIFY `id` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT de tabela `Submission`
--
ALTER TABLE `Submission`
  MODIFY `submitid` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT de tabela `Transacao`
--
ALTER TABLE `Transacao`
  MODIFY `idTransacao` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- AUTO_INCREMENT de tabela `Usuario`
--
ALTER TABLE `Usuario`
  MODIFY `idUsuario` bigint(20) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;
--
-- Restrições para dumps de tabelas
--

--
-- Restrições para tabelas `Endereco`
--
ALTER TABLE `Endereco`
  ADD CONSTRAINT `FK_Endereco_cidade` FOREIGN KEY (`cidade_idCidade`) REFERENCES `Cidade` (`idCidade`);

--
-- Restrições para tabelas `Pessoa`
--
ALTER TABLE `Pessoa`
  ADD CONSTRAINT `FK_Pessoa_endereco` FOREIGN KEY (`endereco_idEndereco`) REFERENCES `Endereco` (`idEndereco`) ON DELETE CASCADE,
  ADD CONSTRAINT `FK_Pessoa_usuario` FOREIGN KEY (`idUsuario`) REFERENCES `Usuario` (`idUsuario`),
  ADD CONSTRAINT `FK_Usuario_conta` FOREIGN KEY (`conta_idConta`) REFERENCES `Conta` (`idConta`) ON DELETE CASCADE;

--
-- Restrições para tabelas `PessoaTeste`
--
ALTER TABLE `PessoaTeste`
  ADD CONSTRAINT `FKa0d7yja75dj9dyx0plltjo9x6` FOREIGN KEY (`mae_id`) REFERENCES `PessoaTeste` (`id`);

--
-- Restrições para tabelas `Transacao`
--
ALTER TABLE `Transacao`
  ADD CONSTRAINT `FK_Transacao_conta` FOREIGN KEY (`conta_idConta`) REFERENCES `Conta` (`idConta`),
  ADD CONSTRAINT `FK_Transacao_tipo` FOREIGN KEY (`tipo_idTipoTransacao`) REFERENCES `TipoTransacao` (`nome`);

--
-- Restrições para tabelas `Usuario_has_Permissoes`
--
ALTER TABLE `Usuario_has_Permissoes`
  ADD CONSTRAINT `fk_Usuario_has_Permissoes_Permissao` FOREIGN KEY (`Permissao_idPermissao`) REFERENCES `Permissao` (`idPermissao`),
  ADD CONSTRAINT `fk_Usuario_has_Permissoes_Usuario` FOREIGN KEY (`Usuario_idUsuario`) REFERENCES `Usuario` (`idUsuario`) ON DELETE CASCADE;

--
-- Limitadores para a tabela `Cidade`
--
ALTER TABLE `Cidade`
  ADD CONSTRAINT `FK_Cidade_estado` FOREIGN KEY (`estado_idEstado`) REFERENCES `Estado` (`idEstado`) ON DELETE CASCADE;
COMMIT;

