import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { StatusPipe } from './status.pipe';
import { TipoTransacaoPipe } from './tipo-transacao.pipe';
import { OrigemServicoPipe } from './origem-servico.pipe';
import { GeneroPipe } from './genero.pipe';
import { EquivalenciaPipe } from './equivalencia.pipe';
import { UsuarioPipe } from './usuario.pipe';
import { EstadoCivilPipe } from './estado-civil.pipe';
//import { TipoNivelPipe } from './tipo-nivel.pipe';
//import { NivelJogPipe } from './nivel-jog.pipe';

@NgModule({
  declarations: [
    StatusPipe,
    TipoTransacaoPipe,
    OrigemServicoPipe,
    GeneroPipe,
    EquivalenciaPipe,
    UsuarioPipe,
    EstadoCivilPipe,
    //TipoNivelPipe,
    //NivelJogPipe
  ],
  imports: [
    CommonModule
  ],
  exports: [
    StatusPipe,
    TipoTransacaoPipe,
    OrigemServicoPipe,
    GeneroPipe,
    EquivalenciaPipe,
    UsuarioPipe,
    EstadoCivilPipe,
  ]
})
export class GlobalPipesModule { }
