import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {PanelModule} from 'primeng/panel';
import { CadastroGameComponent } from './cadastro-game/cadastro-game.component';
import { GameListagemComponent } from './game-listagem/game-listagem.component';
import { GameRoutingModule } from './game-routing.module';
import {TableModule} from 'primeng/table';
import {ButtonModule} from 'primeng/button';
import { DisciplinaModule } from '../school/disciplina/disciplina.module';
import { HttpClientModule } from '@angular/common/http';




@NgModule({
  declarations: [CadastroGameComponent, GameListagemComponent],
  imports: [
    CommonModule,
    PanelModule,
    GameRoutingModule,
    TableModule,
    ButtonModule,
    //DisciplinaModule,
    HttpClientModule
  ]
})
export class GameModule { }
