import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SubmissionModule } from './submission/submission.module';
import { DisciplinaModule } from './school/disciplina/disciplina.module';
import { MultiplaEscolhaModule } from './multiplaescolha/multiplaescolha.module';
import { CasoDeTesteModule } from './casodeteste/casodeteste.module';
import { UniversidadeModule } from './school/universidade/universidade.module';
import { ProblemaComponent } from './problemManager/problema/problema.component';
import { GameModule } from './game/game.module';
import { AlunoModule } from './school/aluno/aluno.module';


@NgModule({
  declarations: [ProblemaComponent],
  imports: [
    CommonModule,
    SubmissionModule,
    AlunoModule,
    DisciplinaModule,
    MultiplaEscolhaModule,
    CasoDeTesteModule,
    UniversidadeModule,
    GameModule
  ]
})
export class IpcModule { }
