package com.alessiojr;

import com.alessiojr.config.property.AppProperties;
import com.alessiojr.config.property.FileStorageProperties;
import com.alessiojr.ipc.submission.util.submissionEngine.SubmissionObserver;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

@SpringBootApplication
@EnableWebMvc
@EnableConfigurationProperties({AppProperties.class, FileStorageProperties.class })
@EnableJpaRepositories
public class MainSpringBoot {
 
    // private static SubmissionObserver submissionObserver;

    // @Autowired
    // public void setSubmissionObserver(SubmissionObserver submissionObserver) {
    //     MainSpringBoot.submissionObserver = submissionObserver;
    // }


    public static void main(String[] args) {
        SpringApplication.run(MainSpringBoot.class, args);
        //submissionObserver.run();
    }


}
