package com.alessiojr.apertium.model;

import java.util.ArrayList;
import java.util.List;
import lombok.Getter;
import lombok.Setter;

/**
 *
 * @author vinicius
 */
@Getter
@Setter
public class MyDictionaryDTO {

    public MyDictionaryDTO() {
    }

    public MyDictionaryDTO(MyDictionary myDictionary) {
        this.id = myDictionary.getId();
        this.name = myDictionary.getName();
        this.officialDictionary = myDictionary.getOfficialDictionary();
    }

    public static List<MyDictionaryDTO> listConstructor(List<MyDictionary> myDictionaries) {
        List<MyDictionaryDTO> result = new ArrayList<>();
        for (MyDictionary myDictionary : myDictionaries) {
            result.add(new MyDictionaryDTO(myDictionary));
        }
        return result;
    }

    private long id;

    private String name;

    private OfficialDictionary officialDictionary;
}
