package com.alessiojr.apertium.repository;

import com.alessiojr.apertium.model.MyDictionary;
import com.alessiojr.security.model.Usuario;
import java.util.List;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author vinicius
 */
@Transactional
public interface MyDictionaryRepository<T extends MyDictionary> extends JpaRepository<MyDictionary, Long> {

    public List<T> findByUser(Usuario usuario);
}
