package com.alessiojr.drDebug.repository;

import com.alessiojr.drDebug.model.Time;
import com.alessiojr.freeTests.model.PessoaTeste;
import java.util.Date;

import java.util.Optional;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;


//public interface TimesRepository extends JpaRepository<Time, Long>{
    
    //public Optional<Time> findById(Long Id);
    //public Optional<Time> findByNomeAndPaisAndConquistasAndData(String nome, String Pais ,int Conquistas, Date data);

//}

public interface TimesRepository<T extends Time> extends JpaRepository<Time, Long>{
    
    public Optional<Time> findById(long id);
    public Page<Time> findAll(Pageable pageable);
    //public Optional<Time> findByNomeAndPaisAndConquistasAndData(String nome, String Pais ,int Conquistas, Date data);
    
    @Query("SELECT a FROM Time a WHERE "
            + "a.nome LIKE CONCAT('%', :nome, '%') AND "
            + "a.status != 'INATIVO'")
    public Page<T> findByNomeContaining(String nome, Pageable pageable);
}
