package com.alessiojr.influenzer.repository;

import java.util.Optional;

import com.alessiojr.influenzer.model.premio;

import org.springframework.data.jpa.repository.JpaRepository;


public interface PremioRepository extends JpaRepository<premio, Long>{
    
    public Optional<premio> findByCodigo(String codigo);
    public Optional<premio> findByNomeAndCodigo(String nome, String codigo);
    
}
