package com.alessiojr.security.repository;


import com.alessiojr.security.model.Permission;
import java.util.Optional;
import org.springframework.data.jpa.repository.JpaRepository;

public interface PermissionRepository extends JpaRepository<Permission, Long> {
    
    public Optional<Permission> findByPermissao(String permissao);
    
}
