package com.alessiojr.security.resource;

import com.alessiojr.config.property.AppProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import springfox.documentation.annotations.ApiIgnore;

@Controller
@ApiIgnore
public class RootController {

    /**
     * * Home redirection to swagger api documentation * @return redirect to
     * swagger docu
     */
    @RequestMapping(value = "/")
    public String index() {
            return "redirect:swagger-ui.html";
    }
}